pointe Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Types | Public Member Functions | Data Fields
pointe Module Reference
Collaboration diagram for pointe:

## Data Types
type | pmapper_double_r1
| container for rank 1 double precision array pointer. More...
type | pmapper_double_r2
| container for rank 2 double precision array pointer. More...
type | pmapper_double_r3
| container for rank 3 double precision array pointer. More...

## Public Member Functions
subroutine | init_aux_arrays
subroutine | resize_aux_arrays
subroutine | finalize_aux_arrays
subroutine | init_kpdc
subroutine | finalize_kpdc
subroutine | init_tsma (nvar)
subroutine | finalize_tsma
subroutine | init_pt1d
subroutine | finalize_pt1d

## Data Fields
integer, dimension(1), target | ivoid1
integer, dimension(1, 1), target | ivoid2
double precision, dimension(1), target | rvoid1
double precision, dimension(1, 1), target | rvoid2
double precision, dimension(1, 1, 1), target | rvoid3
double precision, dimension(:), allocatable | dispar
| distance between the center of a given volume and the closest wall, when it is necessary ( with wall echo, LES with van Driest-wall damping, or (SST) turbulence model) and when `icdpar=1`. The distance between the center of the cell `iel` and the closest wall is `dispar(iel)` More...
double precision, dimension(:), allocatable | yplpar
| non-dimensional distance between a given volume and the closest wall, when it is necessary (LES with van Driest-wall damping) and when `icdpar=1`. The adimensional distance between the center of the cell `iel` and the closest wall is therefore `yplpar(iel1)` More...
double precision, dimension(:), allocatable | yplbr
| at boundary, if post-processed More...
double precision, dimension(:), allocatable | uetbor
| friction velocity at the wall, in the case of a LES calculation with van Driest-wall damping More...
double precision, dimension(:,:), allocatable | forbr
| stresses at boundary (if post-processed) More...
double precision, dimension(:,:), allocatable | coefau
| boundary conditions for the velocity vector with the coupled velocity components algorithm (`ivelco=1`): see Note 2: internal faces More...
double precision, dimension(:,:), allocatable | cofafu
| boundary conditions for the velocity diffusion flux with the coupled velocity components algorithm (`ivelco=1`): see Note 2: internal faces More...
double precision, dimension(:,:), allocatable | cofacu
| boundary conditions for the velocity convective flux (only for compressible flows). More...
double precision, dimension(:,:,:), allocatable | coefbu
| boundary conditions for the velocity vector with the coupled velocity components algorithm (`ivelco=1`): see Note 2: internal faces More...
double precision, dimension(:,:,:), allocatable | cofbfu
| boundary conditions for the velocity diffusion flux with the coupled velocity components algorithm (`ivelco=1`): see Note 2: internal faces More...
double precision, dimension(:,:,:), allocatable | cofbcu
| boundary conditions for the velocity convective flux (only for compressible flows). More...
double precision, dimension(:,:), allocatable | cfaale
| explicit Boundary conditions for the mesh velocity. dim = (3,nfabor) More...
double precision, dimension(:,:), allocatable | claale
| explicit Boundary conditions for the mesh velocity. dim = (3,nfabor) More...
double precision, dimension(:,:,:), allocatable | cfbale
| implicit Boundary conditions for the mesh velocity. dim = (3,3,nfabor) More...
double precision, dimension(:,:,:), allocatable | clbale
| implicit Boundary conditions for the mesh velocity. dim = (3,3,nfabor) More...
integer, dimension(:), allocatable | itypfb
| boundary condition type at the boundary face `ifac` (see user subroutine cs_user_boundary_conditions) More...
integer, dimension(:), allocatable | itrifb
| indirection array allowing to sort the boundary faces according to their boundary condition type `itypfb` More...
integer, dimension(:), allocatable | izfppp
| to identify boundary zones associated with boundary faces (particular physics) More...
integer, dimension(:), allocatable | izfrad
| to identify boundary zones associated with boundary faces (radiative transfert) More...
integer, dimension(:), allocatable | ifapat
| number of the wall face (type `itypfb=iparoi` or `iparug`) which is closest to the center of a given volume when necessary ( with wall echo, LES with van Driest-wall damping, or (SST) turbulence model) and when `icdpar=2`. The number of the wall face which is the closest to the center of the cell `iel` is `ifapat(iel1)`. This calculation method is not compatible with parallelism and periodicity More...
integer, dimension(:), allocatable | idfstr
| the index of the structure, (`idfstr(ifac)` where `ifac` is the index of the face), 0 if the face is not coupled to any structure. More...
double precision, dimension(:), allocatable | s2kw
| square of the norm of the deviatoric part of the deformation rate tensor ( ). This array is defined only with the (SST) turbulence model More...
double precision, dimension(:), allocatable | divukw
| divergence of the velocity. More precisely it is the trace of the velocity gradient (and not a finite volume divergence term). In the cell `iel`, is given by `divukw(iel1)`. This array is defined only with the SST turbulence model (because in this case it may be calculated at the same time as ) More...
double precision, dimension(:,:), allocatable | straio
| strain rate tensor at the previous time step More...
integer, save | nfpt1d
| number of boundary faces which are coupled with a wall 1D thermal module. See the user subroutine uspt1d More...
integer, save | nmxt1d
integer, dimension(:), allocatable | izft1d
| zones of t1d, dimensioned with nfabor (TODO) More...
integer, dimension(:), allocatable | nppt1d
| number of discretisation cells in the 1D wall for the `nfpt1d` boundary faces which are coupled with a wall 1D thermal module. The number of cells for these boundary faces is given by `nppt1d(ii)`, with 1 <= ii <= nfpt1d. See the user subroutine uspt1d More...
integer, dimension(:), allocatable | ifpt1d
| array allowing to mark out the numbers of the `nfpt1d` boundary faces which are coupled with a wall 1D thermal module. The numbers of these boundary faces are given by `ifpt1d(ii)`, with 1 <= ii <= `nfpt1d`. See the user subroutine uspt1d More...
integer, dimension(:), allocatable | iclt1d
| typical boundary condition at the external (pseudo) wall: Dirichlet condition (`iclt1d=1`) or flux condition (`iclt1d=3`) More...
double precision, dimension(:), allocatable | eppt1d
| thickness of the 1D wall for the `nfpt1d` boundary faces which are coupled with a wall 1D thermal module. The wall thickness for these boundary faces is therefore given by `eppt1d(ii)`, with 1 <= ii <= `nfpt1d`. See the user subroutine uspt1d More...
double precision, dimension(:), allocatable | rgpt1d
| geometry of the pseudo wall mesh (refined as a fluid if `rgt1d` is smaller than 1 More...
double precision, dimension(:), allocatable | tppt1d
| initialisation temperature of the wall (uniform in thickness). In the course of the calculation, the array stores the temperature of the solid at the fluid/solid interface. More...
double precision, dimension(:), allocatable | tept1d
| external temperature of the pseudo wall in the Dirichlet case. More...
double precision, dimension(:), allocatable | hept1d
| external coefficient of transfer in the pseudo wall under Dirichlet conditions (in ). More...
double precision, dimension(:), allocatable | fept1d
| external heat flux in the pseudo wall under the flux conditions (in , negative value for energy entering the wall). More...
double precision, dimension(:), allocatable | xlmbt1
| thermal diffusivity More...
double precision, dimension(:), allocatable | rcpt1d
| volumetric heat capacity of the wall uniform in thickness (in ). More...
double precision, dimension(:), allocatable | dtpt1d
| physical time step associated with the solved 1D equation of the pseudo wall (which can be different from the time step in the calculation). More...
integer, save | ncepdc
| number of cells in which a pressure drop is imposed. See the user subroutine uskpdc More...
integer, dimension(:), allocatable | icepdc
| number of the `ncepdc` cells in which a pressure drop is imposed. See `{iicepd}` and the user subroutine uskpdc More...
integer, dimension(:), allocatable | izcpdc
| zone with head losses More...
double precision, dimension(:,:), allocatable | ckupdc
| value of the coefficients of the pressure drop tensor of the `ncepdc` cells in which a pressure drop is imposed. Note the 6 values are sorted as follows: (k11, k22, k33, k12, k23, k33). See `ickpdc` and the user subroutine ref uskpdc More...
double precision, dimension(:), allocatable | b_head_loss
| Head loss factor of the fluid outside the domain, between infinity and the entrance (for ifrent boundary type). The default value is 0, dimensionless factor. The user may give a value in cs_user_boundary_conditions in the array `rcodcl`(ifac, ipr, 2). More...
integer, save | ncetsm
| number of the `ncetsm` cells in which a mass source term is imposed. See `iicesm` and the user subroutine ustsma More...
integer, dimension(:), allocatable | icetsm
| number of the `ncetsm` cells in which a mass source term is imposed. See `iicesm` and the user subroutine ustsma}} More...
integer, dimension(:), allocatable | izctsm
| zone where a mass source term is imposed. More...
integer, dimension(:,:), allocatable | itypsm
| type of mass source term for each variable More...
double precision, dimension(:,:), allocatable | smacel
| value of the mass source term for pressure. For the other variables, eventual imposed injection value. See the user subroutine ustsma More...
double precision, dimension(:), allocatable | porosi
| value of the porosity More...
double precision, dimension(:,:), allocatable | porosf
| value of the porosity (for convection and diffusion only) More...
double precision, dimension(:,:), allocatable | visten
| symmetric tensor cell visco More...
integer, dimension(:,:), pointer | itepa => null()
integer, dimension(:), allocatable | icocel
integer, dimension(:), allocatable | itycel
integer, dimension(:), allocatable | ifrlag
double precision, dimension(:,:), pointer | ettp => null()
double precision, dimension(:,:), pointer | ettpa => null()
double precision, dimension(:,:), pointer | tepa => null()
double precision, dimension(:,:), pointer | statis => null()
double precision, dimension(:,:), pointer | stativ => null()
double precision, dimension(:,:), pointer | parbor => null()
double precision, dimension(:,:), pointer | tslagr => null()
double precision, dimension(:,:), pointer | dlgeo => null()

## Member Function/Subroutine Documentation

subroutine finalize_aux_arrays | ( |  | ) |

subroutine finalize_pt1d | ( |  | ) |

subroutine resize_aux_arrays | ( |  | ) |

The documentation for this module was generated from the following file:

- src/base/pointe.f90